%define upstream_name    File-Map
%define upstream_version 0.64

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Memory mapping made simple and safe
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(PerlIO::Layers)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.5
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XSLoader)
BuildRequires: perl(if)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
File::Map maps files or anonymous memory into perl variables.

Advantages of memory mapping
    * * Unlike normal perl variables, mapped memory is (usually) shared
      between threads or forked processes.

    * * It is an efficient way to slurp an entire file. Unlike for example
      the File::Slurp manpage, this module returns almost immediately,
      loading the pages lazily on access. This means you only 'pay' for the
      parts of the file you actually use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.640.0-4pclos2017
- rebuild against updates

